Generate destination plan from Channel Map + intent
curl --request POST \
--url https://sandbox.composer.id/v1/plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"intent_id": "itn_7f3aK2mQ9xLp"
}
'import requests
url = "https://sandbox.composer.id/v1/plan"
payload = { "intent_id": "itn_7f3aK2mQ9xLp" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({intent_id: 'itn_7f3aK2mQ9xLp'})
};
fetch('https://sandbox.composer.id/v1/plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"intent_id": "itn_7f3aK2mQ9xLp",
"intent_version": 2,
"channel": "<string>",
"destinations": [
{
"platform": "<string>",
"object_type": "<string>",
"carrier_field": "<string>",
"mode": "stamp",
"category": "<string>",
"events_posture": "push"
}
],
"rationale": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Generate destination plan from Channel Map + intent
POST
/
plan
Generate destination plan from Channel Map + intent
curl --request POST \
--url https://sandbox.composer.id/v1/plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"intent_id": "itn_7f3aK2mQ9xLp"
}
'import requests
url = "https://sandbox.composer.id/v1/plan"
payload = { "intent_id": "itn_7f3aK2mQ9xLp" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({intent_id: 'itn_7f3aK2mQ9xLp'})
};
fetch('https://sandbox.composer.id/v1/plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"intent_id": "itn_7f3aK2mQ9xLp",
"intent_version": 2,
"channel": "<string>",
"destinations": [
{
"platform": "<string>",
"object_type": "<string>",
"carrier_field": "<string>",
"mode": "stamp",
"category": "<string>",
"events_posture": "push"
}
],
"rationale": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
oauth2bearerAuth
Body
application/json
Response
OK